/**
 * @description api/member/xxx
 */

import request from '@/utils/request'

/**
 * 获取用户信息
 * @param {String} code 前端获取的免授权code
 * @returns {Object} {data: userToken}
 */
export const getUserinfo = () => (request({
    method: 'POST',
    url: 'member/user_info'
}))

// /api/member/edit
// type: 修改的类型（1：昵称，2：签名，3：手机号）  
// nickname: 昵称  
// signature: 签名  
// phone: 手机号  
export const putUserInfo = (data) => (request({
    data,
    method: 'POST',
    url: 'member/edit'
}))

/**
 * @description 获取用户审批待处理统计
 */
export const getUserApproveCount = () => (request({
    method: 'POST',
    url: 'member/get_count',
}))
