/**
 * @description 设置审核Row的数据内容等
 */

import store from "@/store"
// const degree2Txt = store.getters['enum/getDegreeText']
const maintainTypeList = store.getters['enum/getMaintainText']

function getModule8(data) {
  const { order_no, department_data, module_info} = data
  return [
    {
      title: '审批编号',
      value: order_no
    },
    {
      title: '所在部门',
      value: department_data.map(department => (department.name)).join(',')
    },
    {
      title: '申请日期',
      value: data.create_at
    },
    {
      title: '维修分类',
      value: maintainTypeList(module_info.type),
    },
    {
      title: '维修地点',
      value: module_info.reason,
    },

    {
      title: '维修内容',
      value: module_info.desc,
    },
    module_info.images_text.length ? {
      type: 'images',
      title: '图片',
      value: module_info.images_text.map(img => ({
        url: img
      }))
    } : undefined,
  ]
}

export const formatApplyforRows = (data) => {
  let type = data.module
  if (typeof type !== 'number') type = Number(type)
  let arrs = []

  switch (type) {
    case 8:
      arrs = getModule8(data)
      break
  }
  
  // NOTE: 过滤为undefined字段
  return arrs.filter(item => (item))
}
